SBUILD-ADDUSER(8)

NAME
sbuild-adduser - add an sbuild user

SYNOPSIS
sbuild-adduser [-h|--help | -V|--version] USER1 [USER2 [USERn...]]

DESCRIPTION
sbuild-adduser adds the specified users to the sbuild group, granting them the privilege to build packages with sbuild(1). The schroot(1) configuration must permit the user to obtain root permissions in the chroot via the root-users and root-groups options in schroot.conf, because this is required to install and remove build-dependencies inside the chroot. This is normally done using the sbuild group, but additional users or groups may be added in order to grant finer-grained permissions, for example to restrict individual users to particular chroots.

OPTIONS

  Actions

-h, --help
    Display this manual.

-V, --version
    Print version information.

  User selection

USER
    The user to be granted sbuild access.

EXAMPLES
To allow user rleigh sbuild access:

% sudo sbuild-adduser rleigh

AUTHORS
Roger Leigh.

COPYRIGHT
Copyright © 2006–2008 Roger Leigh <rleigh@debian.org>.

SEE ALSO
sbuild(1), sbuild-setup(7), schroot.conf(5).